from flask import Flask, request
from telegram import Bot, Update
from telegram.ext import Dispatcher, CommandHandler

# Initialize Flask app
app = Flask(__name__)

# Your bot token
TOKEN = "7609125905:AAFKVkRMBy_egwn6LaV3dYdy65F6i4MlaoM"
bot = Bot(token=TOKEN)

# Set up Dispatcher
dispatcher = Dispatcher(bot, None, workers=0)

# Define the /start command handler
def start(update, context):
    update.message.reply_text("Hello! I am your bot, ready to serve!")

# Add handler for the /start command
dispatcher.add_handler(CommandHandler("start", start))

# Telegram Webhook
@app.route(f"/{TOKEN}", methods=["POST"])
def webhook():
    # Parse the incoming update from Telegram
    json_data = request.get_json(force=True)
    update = Update.de_json(json_data, bot)
    dispatcher.process_update(update)
    return "OK", 200

# Set webhook
@app.route("/setwebhook", methods=["GET"])
def set_webhook():
    url = f"https://jsorganization.xyz/telegram_bot/{TOKEN}"
    bot.setWebhook(url)
    return f"Webhook set to {url}", 200

# Run Flask app
if __name__ == "__main__":
    app.run(host="0.0.0.0", port=5000)